%define		name kio_locate
%define		Name kio-locate
%define		version 0.4.3
%define		release %mkrel 2

Name:		%{name}
Summary:	Kio-locate is a KIO Slave for the locate command. 
Version: 	%{version}
Release: 	%{release}
Source: 	http://arminstraub.de/downloads/kio-locate/%{Name}_%{version}.tar.bz2
URL: 		http://www.schuerig.de/michael/linux/kio-locate/index.html
Group: 		Graphical desktop/KDE
BuildRoot: 	%{_tmppath}/%{name}-buildroot
License: 	GPL
BuildRequires: 	kdebase-devel
BuildRequires:  scons
Requires:	slocate

%description
Kio-locate is a KIO Slave for the locate command. 

%prep
rm -fr $RPM_BUILD_ROOT

%setup -q -n %{Name}-%version

%build

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH


scons configure
scons


%install
scons install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%{_libdir}/kde3/kio_locate.*

   
%dir %_datadir/services/
%_datadir/services/*.protocol


%doc %_docdir/HTML/en/kio-locate/index.cache.bz2
%doc %_docdir/HTML/en/kio-locate/index.docbook
%doc %_docdir/HTML/en/kio-locate/screenshot.png

%_datadir/locale/de/LC_MESSAGES/kio-locate.mo
%_datadir/locale/fr/LC_MESSAGES/kio-locate.mo
%_datadir/services/searchproviders/locate.desktop


%changelog
* Mon Oct 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.3-2mdk
- Fix BuildRequires
- %%mkrel
- Remove redundant BuildRequires
- make rpmbuildupdate happy

* Mon Oct 17 2005 Laurent MONTEL <lmontel@mandriva.com> 0.4.3-1mdk
- 0.4.3

* Sun Aug 14 2005 Laurent MONTEL <lmontel@mandriva.com> 0.4.2tvo0.1-1mdk
- 0.4.2

* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.3.4-2mdk
- Rebuild on x86_64

* Sun Jan 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.4-1mdk
- 0.3.4

* Fri Jan 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.3-1mdk
- 0.3.3

* Mon Jan 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.2-1mdk
- 0.3.2

* Fri Dec 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.1-2mdk
- Add --enable-final

* Fri Dec 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1

* Tue Oct 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-1mdk
- 0.2.3

* Mon Oct 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.2-1mdk
- 0.2.2

* Fri Oct 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.1-1mdk
- 0.2.1

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-7mdk
- Rebuild

* Tue Feb 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-6mdk
- Fix distlint

* Sun May 11 2003 Laurent Culioli <laurent@pschit.net> 0.1-5mdk
- builrequires

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-4mdk
- Rebuild

* Thu Jan 16 2003 Laurent Culioli <laurent@pschit.net> 0.1-3mdk
- rebuild

* Mon Dec 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-2mdk
- Fix requires
- Fix build requires

* Sun Dec 15 2002 Laurent Culioli <laurent@pschit.net> 0.1-1mdk
- from Franck Qulain <shift@free.fr> 
	- First release
